
/*******************************************************************************
 * ON Semiconductor                                                            *
 * NCV7383 Evaluation KIT                                                      *
 *                                                                             *
 * Interrupts.h                                                                *
 * Interrupt service routine functions                                         *
 *                                                                             *
 * Created by: Filip Brtan                                                     *
 * Date: 30.07.2012                                                            *
 *                                                                             *
 *******************************************************************************/

#pragma CODE_SEG __NEAR_SEG NON_BANKED
 
extern byte ext_flag;
 
/* Function Prototypes  */

/* Real Time Interrupt service routine */
void interrupt RTI_Isr(void);

/* External IRQ Interrupt Service Routine */
void interrupt External_IRQ_Isr(void);

/* FlexRay Transmission Message Buffer Interrupt Service Routine */
void interrupt FLEXRAY_TX_Isr(void);

/* FlexRay Reception Message Buffer Interrupt Service Routine */
void interrupt FLEXRAY_RX_Isr(void);

/* FlexRay Remote WakeUp Interrupt Service Routine */
void interrupt FLEXRAY_Wakeup_Isr(void);

/* FlexRay Protocol Interrupt Service Routine */
void interrupt FLEXRAY_Protocol_Isr(void);

/* Autonomous Periodical Interrupt Service Routine */
void interrupt API_Isr(void);

#pragma CODE_SEG DEFAULT

/*******************************************************************************/